'use strict';

const apiWrapper = require('../api/api-wrapper');
const deploySkill = require('./deploy-skill');
const CONSTANTS = require('../utils/constants');

module.exports = {
    enable: enable
};

function enable(skillId, profile, doDebug, callback) {
    deploySkill.pollingSkillStatus(skillId, profile, doDebug, (status) => {
        if (status === CONSTANTS.SKILL.BUILD_STATUS.SUCCESS) {
            if (!skillId) {
                console.error('[Error]: Cannot find skill ID to enable.');
                process.exit(1);
            }
            apiWrapper.callEnableSkill(skillId, CONSTANTS.SKILL.STAGE.DEVELOPMENT, profile, doDebug, () => {
                console.log('Your skill is now deployed and enabled in the development stage.\n' +
                    'Try invoking the skill by saying “Alexa, open {your_skill_invocation_name}” or simulate an invocation via the `ask simulate` command.');
                callback();
            });
        } else {
            console.warn('[Warn]: skill cannot be enabled when status is ' + status);
        }
    });
}
