'use strict';

const initAWS = require('../../utils/init-aws');

module.exports = {
    retrieveLambdaFunction: retrieveLambdaFunction
};

function retrieveLambdaFunction(functionName, region, AWSProfile, callback) {
    let aws = initAWS.initAWS(AWSProfile);
    if (!aws) {
        return;
    }
    let regionCode = initAWS.resolveRegionCodeFromRegion(region);
    getLambdaFunction(aws, functionName, regionCode, (err, data) => {
        if (err) {
            callback();
        } else {
            callback(data.Configuration.FunctionArn);
        }
    });
}

// Private
function getLambdaFunction(aws, functionName, regionCode, callback) {
    let params = {
        FunctionName: functionName
    };
    let lambdaClient = new aws.Lambda({region: regionCode});
    lambdaClient.getFunction(params, (err, data) => {
        callback(err, data);
    });
}
